import { SqlNode } from './SqlNode';
export default class IfSqlNode extends SqlNode {
    test: string;
    nextNode: SqlNode;
    constructor(test: string, nextNode: SqlNode);
    getSql(paramMap: Record<string, any>, parameters?: any[]): Promise<string>;
}
